#/bin/ksh

# Cluster

wget -O /sdf/arpa/ns/s/scm/index.html https://scm.sdf.org

wget -O /sdf/arpa/ns/s/scm/02.html https://scm.sdf.org/posts/2023/02.html

html2text -o /sdf/arpa/ns/s/scm/index -ascii -style pretty /sdf/arpa/ns/s/scm/index.html

html2text -o /sdf/arpa/ns/s/scm/02 -ascii -style pretty /sdf/arpa/ns/s/scm/02.html

cat /sdf/arpa/ns/s/scm/index > .plan

cp /sdf/arpa/ns/s/scm/index /sdf/arpa/ns/s/scm/gopher

cp /sdf/arpa/ns/s/scm/02 /sdf/arpa/ns/s/scm/gopher/posts/2023

chmod -R 754 /sdf/arpa/ns/s/scm/gopher

# Meta Array

cat /sdf/arpa/ns/s/scm/index | col -b -x > /sdf/arpa/ns/s/scm/index.ma

scp /sdf/arpa/ns/s/scm/index.ma scm@ma.sdf.org:/meta/s/scm/.plan

scp /sdf/arpa/ns/s/scm/index.ma scm@ma.sdf.org:/meta/gemini/scm/index.gmi

exit 0
