#!/bin/ksh

# ps.ksh
# This script displays the processes running by a user on each user
# accessible SDF server, as defined by their variable
# Run from a local system
# Tested on OpenBSD/amd64 7.2
# Copyright (C) 2022  Scott C. MacCallum
# scm@sdf.org

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

user_ssh=scm
user_ps=scm

ssh $user_ssh@beastie.sdf.org hostname | more
ssh $user_ssh@beastie.sdf.org ps -u $user_ps | less

ssh $user_ssh@faeroes.sdf.org hostname | more
ssh $user_ssh@faeroes.sdf.org ps -u $user_ps | less

ssh $user_ssh@iceland.sdf.org hostname | more
ssh $user_ssh@iceland.sdf.org ps -u $user_ps | less

ssh $user_ssh@ma.sdf.org hostname | more
ssh $user_ssh@ma.sdf.org ps -u $user_ps | less

ssh $user_ssh@miku.sdf.org hostname | more
ssh $user_ssh@miku.sdf.org ps -u $user_ps | less

ssh $user_ssh@otaku.sdf.org hostname | more
ssh $user_ssh@otaku.sdf.org ps -u $user_ps | less

ssh $user_ssh@rie.sdf.org hostname | more
ssh $user_ssh@rie.sdf.org ps -u $user_ps | less

ssh $user_ssh@sdf.org hostname | more
ssh $user_ssh@sdf.org ps -u $user_ps | less

ssh $user_ssh@sverige.sdf.org hostname | more
ssh $user_ssh@sverige.sdf.org -u $user_ps | less

exit 0
